Subject: Re: [git patches] net driver updates

From: Manfred Spraul <[email-masked]>
Date: Sun, 21 May 2006 16:56:14 +0200

Andreas Kleen wrote:

>>No idea, but unlikely. The fix removes a duplicate request_irq call.
>>Is
>>it possible that the both instances run concurrently?
>>    
>>
>
>The system has two Forcedeth ports, but only one has a cable connected.
>I don't think there is any parallelism. Just one connection with a lot
>of data. It didn't happen with 2.6.16.
>
>  
>
You misunderstood me:
Due to a broken patch, the driver did
    request_irq(irqnum, handler,...)
twice. Thus the irq handler was registered twice. The rx synchronization 
assumes that the irq handler doesn't run concurrently. I'm not sure what 
happens if the irq handler is registered twice: is it possible that it 
runs twice at the same time, i.e. is the synchronization in the irq 
subsystem irq number or registration call based?

>If you don't have any other good ideas I will try to track it down.
>
>  
>
I don't have any good ideas, please try to figure out what's wrong. Is 
there a debug switch for the network layer that forces the network layer 
to verify the CHECKSUM_UNNECESSARY blocks?

--
    Manfred